<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
IGAC proyecto SNC
@author 		leidy.gonzalez
@version 		1.0
@description	Pantalla que muestra la lista de las fotografias asociadas a la Unidad de Costruccion del Predio

-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui" 
        xmlns:misc="http://java.sun.com/jsf/composite/misc"
        id="detallesFotografiasUnidadForm">

    <h:inputText id="errortFocus" style="border:0px;height:0;" />

    <p:messages id="msgsDetallesFotografiasUnidad" showDetail="false" globalOnly="false" />

    <p:spacer height="10" width="0" />

    <p:fieldset toggleable="true" toggleSpeed="500"
                id="detallesFotografiasUnidadFS">
        <legend>
            <h:outputText value="Lista de fotografias asociados a la unidad"
                          styleClass="legendTitle" />
        </legend>

        <p:dataTable emptyMessage="No hay fotografias asociados a la unidad"
                     value="#{infoCancelacionInscripcion.fotosUnidad}"
                     var="fotografiaAsociadaAUnidad"
                     widgetVar="detalleFotografiasUnidadDTWV"
                     rowKey="#{fotografiaAsociadaAUnidad.id}"
                     selection="#{infoCancelacionInscripcion.fotoSeleccionada}"
                     selectionMode="single"
                     id="detalleFotografiasUnidadDT">

            <f:facet name="header">
                Lista de fotografias asociados a la Unidad Predio
            </f:facet>

            <p:column headerText="Fotografias">
                <h:outputText  />

                <h:outputText value="#{fotografiaAsociadaAUnidad.documento.archivo}" 
                              rendered="#{fotografiaAsociadaAUnidad.documento.rutaArchivoWeb}"/>

                <p:commandLink
                    value="#{fotografiaAsociadaAUnidad.documento.archivo}"
                    update=":docViewer:docViewerCCForm" styleClass="commandLinkStyle"
                    oncomplete="docViewerWV.show();statusDialog2.hide()"
                    onstart="statusDialog2.show()" process="@this"
                    action="#{infoCancelacionInscripcion.traerFotosDeGestorDocumental}"
                    rendered="#{!fotografiaAsociadaAUnidad.documento.archivoADescargar}">
                    <f:setPropertyActionListener
                        target="#{infoCancelacionInscripcion.fotoSeleccionada}"
                        value="#{fotografiaAsociadaAUnidad}" />
                </p:commandLink>

            </p:column>

        </p:dataTable>

    </p:fieldset>

    <p:spacer height="20" width="0"/>

    <p:separator style="width:90%;height:3px" />
    <p:spacer height="7" width="0" />
    <p:outputPanel layout="block" style="text-align:right">
        <p:commandButton value="Cerrar" 
                         icon="ui-icon-circle-close"
                         oncomplete="detalleFotografiasUnidadWV.hide();" />
        <p:spacer height="0" width="30" />
    </p:outputPanel>

</h:form>

